"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.apply = exports.name = void 0;
const koishi_1 = require("koishi");
const eorzeaDateTime_1 = require("./eorzeaDateTime");
const template_1 = __importDefault(require("./template"));
exports.name = "eorzea";
function apply(ctx, _config = {}) {
    return __awaiter(this, void 0, void 0, function* () {
        koishi_1.template.set("eorzea", template_1.default);
        ctx
            .command("eorzea.time", (0, koishi_1.template)("eorzea.description"))
            .alias("et")
            .action(() => {
            let et = (0, eorzeaDateTime_1.ToEorzeaTime)(new Date);
            const data = {
                eorzeaTime: et.getUTCHours() + ':' + et.getUTCMinutes() + ':' + et.getUTCSeconds()
            };
            return (0, koishi_1.template)("eorzea.format", data);
        });
    });
}
exports.apply = apply;
