"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToLocalTime = exports.ToEorzeaTime = void 0;
function ToEorzeaTime(date) {
    const EORZEA_MULTIPLIER = 3600 / 175;
    // Calculate how many ticks have elapsed since 1/1/1970
    let epochTicks = date.getTime();
    // Multiply those ticks by the Eorzea multipler (approx 20.5x)
    let eorzeaTicks = Math.round(epochTicks * EORZEA_MULTIPLIER);
    return new Date(eorzeaTicks);
}
exports.ToEorzeaTime = ToEorzeaTime;
function ToLocalTime(eorzeaDate) {
    const EORZEA_MULTIPLIER = 3600 / 175;
    let epochTicks = Math.round((eorzeaDate.getTime()) / EORZEA_MULTIPLIER);
    let localTicks = epochTicks + new Date(1970, 1, 1).getTime();
    return new Date(localTicks);
}
exports.ToLocalTime = ToLocalTime;
